"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AbsoluteCode;
(function (AbsoluteCode) {
    AbsoluteCode[AbsoluteCode["X"] = 0] = "X";
    AbsoluteCode[AbsoluteCode["Y"] = 1] = "Y";
    AbsoluteCode[AbsoluteCode["Z"] = 2] = "Z";
    AbsoluteCode[AbsoluteCode["Rx"] = 3] = "Rx";
    AbsoluteCode[AbsoluteCode["Ry"] = 4] = "Ry";
    AbsoluteCode[AbsoluteCode["Rz"] = 5] = "Rz";
    AbsoluteCode[AbsoluteCode["Throttle"] = 6] = "Throttle";
    AbsoluteCode[AbsoluteCode["Rudder"] = 7] = "Rudder";
    AbsoluteCode[AbsoluteCode["Wheel"] = 8] = "Wheel";
    AbsoluteCode[AbsoluteCode["Gas"] = 9] = "Gas";
    AbsoluteCode[AbsoluteCode["Brake"] = 10] = "Brake";
    AbsoluteCode[AbsoluteCode["Hat0X"] = 16] = "Hat0X";
    AbsoluteCode[AbsoluteCode["Hat0Y"] = 17] = "Hat0Y";
    AbsoluteCode[AbsoluteCode["Hat1X"] = 18] = "Hat1X";
    AbsoluteCode[AbsoluteCode["Hat1Y"] = 19] = "Hat1Y";
    AbsoluteCode[AbsoluteCode["Hat2X"] = 20] = "Hat2X";
    AbsoluteCode[AbsoluteCode["Hat2Y"] = 21] = "Hat2Y";
    AbsoluteCode[AbsoluteCode["Hat3X"] = 22] = "Hat3X";
    AbsoluteCode[AbsoluteCode["Hat3Y"] = 23] = "Hat3Y";
    AbsoluteCode[AbsoluteCode["Pressure"] = 24] = "Pressure";
    AbsoluteCode[AbsoluteCode["Distance"] = 25] = "Distance";
    AbsoluteCode[AbsoluteCode["TiltX"] = 26] = "TiltX";
    AbsoluteCode[AbsoluteCode["TiltY"] = 27] = "TiltY";
    AbsoluteCode[AbsoluteCode["ToolWidth"] = 28] = "ToolWidth";
    AbsoluteCode[AbsoluteCode["Volume"] = 32] = "Volume";
    AbsoluteCode[AbsoluteCode["Misc"] = 40] = "Misc";
    /*
     * 0x2e is reserved and should not be used in input drivers.
     * It was used by HID as Misc+6 and userspace needs to detect if
     * the next ABS_* event is correct or is just Misc + n.
     * We define here Reserved so userspace can rely on it and detect
     * the situation described above.
     */
    AbsoluteCode[AbsoluteCode["Reserved"] = 46] = "Reserved";
    AbsoluteCode[AbsoluteCode["MtSlot"] = 47] = "MtSlot"; /* MT slot being modified */
    AbsoluteCode[AbsoluteCode["MtTouchMajor"] = 48] = "MtTouchMajor"; /* Major axis of touching ellipse */
    AbsoluteCode[AbsoluteCode["MtTouchMinor"] = 49] = "MtTouchMinor"; /* Minor axis (omit if circular) */
    AbsoluteCode[AbsoluteCode["MtWidthMajor"] = 50] = "MtWidthMajor"; /* Major axis of approaching ellipse */
    AbsoluteCode[AbsoluteCode["MtWidthMinor"] = 51] = "MtWidthMinor"; /* Minor axis (omit if circular) */
    AbsoluteCode[AbsoluteCode["MtOrientation"] = 52] = "MtOrientation"; /* Ellipse orientation */
    AbsoluteCode[AbsoluteCode["MtPositionX"] = 53] = "MtPositionX"; /* Center X touch position */
    AbsoluteCode[AbsoluteCode["MtPositionY"] = 54] = "MtPositionY"; /* Center Y touch position */
    AbsoluteCode[AbsoluteCode["MtToolType"] = 55] = "MtToolType"; /* Type of touching device */
    AbsoluteCode[AbsoluteCode["MtBlobId"] = 56] = "MtBlobId"; /* Group a set of packets as a blob */
    AbsoluteCode[AbsoluteCode["MtTrackingId"] = 57] = "MtTrackingId"; /* Unique ID of initiated contact */
    AbsoluteCode[AbsoluteCode["MtPressure"] = 58] = "MtPressure"; /* Pressure on contact area */
    AbsoluteCode[AbsoluteCode["MtDistance"] = 59] = "MtDistance"; /* Contact hover distance */
    AbsoluteCode[AbsoluteCode["MtToolX"] = 60] = "MtToolX"; /* Center X tool position */
    AbsoluteCode[AbsoluteCode["MtToolY"] = 61] = "MtToolY"; /* Center Y tool position */
    AbsoluteCode[AbsoluteCode["Max"] = 63] = "Max";
})(AbsoluteCode = exports.AbsoluteCode || (exports.AbsoluteCode = {}));
